package lightningchart.com;

import android.os.Bundle;
import android.webkit.WebView;
import android.webkit.WebViewClient;

import androidx.appcompat.app.AppCompatActivity;

import java.util.Random;
import java.util.Timer;
import java.util.TimerTask;

public class AudioSpectogramChart extends AppCompatActivity {
    private WebView webView;
    private Boolean safeBrowsingIsInitialized = false;

    /**
     * creates a webView and displays the chart on this webView
     *
     * @param savedInstanceState Bundle that contains the params passed from previous activity
     */
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.activity_chart_display);
        final Bundle bundle = getIntent().getExtras();

        webView = findViewById(R.id.chartDisplayWebView);
        webView.getSettings().setJavaScriptEnabled(true);
        webView.loadUrl("file:///android_asset/AudioSpectogramChart.html");
    }
}